/*      MainForm.h
//      
//      Copyright 2005-2011 Lucas Tsatiris <systester.project@gmail.com>
//      
//      This program is free software; you can redistribute it and/or modify
//      it under the terms of the GNU General Public License as published by
//      the Free Software Foundation; either version 2 of the License, or
//      (at your option) any later version.
//      
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//      
//      You should have received a copy of the GNU General Public License
//      along with this program; if not, write to the Free Software
//      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
//      MA 02110-1301, USA.
//      
*/      


#include ".ui/ui_MainWindow.h"

#include <QFontDialog>
#include <QFont>
#include <QTimer>

class MainForm:public QMainWindow, private
  Ui::MainWindow
{
  Q_OBJECT void
  pimaster (unsigned long long iter, int threads, int algo);
  void
  picoremain (int loops, int exec_times, int output_file, int log_file,
	      int threads, int gaussalgo);
public:
  MainForm ();
  void
  onload ();

  private
    slots:void
  runButton_clicked ();
  void
  exitButton_clicked ();
  void
  aboutButton_clicked ();
  void
  FontsButton_clicked ();
  void
  LicenseButton_clicked ();
  void
  stopButton_clicked ();
  void
  modeButton_clicked ();
  void
  threadsBox_changed ();
  void
  initForm();
};
